Loading...
Searching...
No Matches
L4::Exception Class Reference

Exception interface. More...

`#include <exception>`

Collaboration diagram for L4::Exception:

## Public Member Functions

l4_msgtag_t | exception (L4::Ipc::In_out< l4_exc_regs_t * > regs, L4::Ipc::Rcv_fpage rwin, L4::Ipc::Opt< L4::Ipc::Snd_fpage & > fp)
| Exception call.

## Detailed Description

Exception interface.

This class defines the interface for handling exception IPC. When an exception occurs during program execution, for example due to a division by zero, the kernel will synthesise an exception IPC and send it to the thread's exception handler, who can then handle it.

The exception handler is set with the L4::Thread::control interface.

Definition at line 31 of file exception.

## Member Function Documentation

## exception()

l4_msgtag_t L4::Exception::exception | ( | L4::Ipc::In_out< l4_exc_regs_t * > | regs,
|  | L4::Ipc::Rcv_fpage | rwin,
|  | L4::Ipc::Opt< L4::Ipc::Snd_fpage & > | fp )

Exception call.

Parameters

  | regs | Register state of the faulting thread.
  | rwin | Receive window in the address space.
  [out] | fp | Optional flexpage to resolve the exception.

Returns
  Message tag containing error code.

The documentation for this class was generated from the following file:

- l4/sys/exception